Package org.silverpeas.components.suggestionbox.control

## Enum SuggestionBoxWebController.ViewContext

- java.lang.Object
- - java.lang.Enum<SuggestionBoxWebController.ViewContext>
  - - org.silverpeas.components.suggestionbox.control.SuggestionBoxWebController.ViewContext

- All Implemented Interfaces:
    `Serializable`, `Comparable<SuggestionBoxWebController.ViewContext>`
  Enclosing class:
    SuggestionBoxWebController

      public static enum SuggestionBoxWebController.ViewContext
      extends Enum<SuggestionBoxWebController.ViewContext>

  A context on the viewing of suggestions. It is used to parametrize the rendering of the suggestions in a JSP.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AllSuggestions` | The suggestions to render are all the suggestions in a suggestion box the user can see.
    `MySuggestions` | The suggestions to render are the suggestions of the current user.
    `PublishedSuggestions` | The suggestions to render are the suggestions published in a suggestion box.
    `SuggestionsInValidation` | The suggestions to render are the suggestion awaiting a validation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SuggestionBoxWebController.ViewContext` | `fromIdentifier​(String identifier)` |
    `static SuggestionBoxWebController.ViewContext` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SuggestionBoxWebController.ViewContext[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AllSuggestions

          public static final SuggestionBoxWebController.ViewContext AllSuggestions

      The suggestions to render are all the suggestions in a suggestion box the user can see.

    - #### PublishedSuggestions

          public static final SuggestionBoxWebController.ViewContext PublishedSuggestions

      The suggestions to render are the suggestions published in a suggestion box.

    - #### SuggestionsInValidation

          public static final SuggestionBoxWebController.ViewContext SuggestionsInValidation

      The suggestions to render are the suggestion awaiting a validation. It can comprise also the suggestions that were refused by a moderator (a publisher).

    - #### MySuggestions

          public static final SuggestionBoxWebController.ViewContext MySuggestions

      The suggestions to render are the suggestions of the current user.

  - ### Method Detail

    - #### values

          public static SuggestionBoxWebController.ViewContext[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SuggestionBoxWebController.ViewContext c : SuggestionBoxWebController.ViewContext.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SuggestionBoxWebController.ViewContext valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromIdentifier

          public static SuggestionBoxWebController.ViewContext fromIdentifier​(String identifier)